
%define		module	dns

Summary:	dnspython3 - a DNS toolkit for Python 3
Summary(pl.UTF-8):	dnspython3 - zestaw narzędzi do DNS dla Pythona 3
Name:		python3-%{module}
Version:	1.12.0
Release:	2
License:	MIT
Group:		Development/Languages/Python
Source0:	http://www.dnspython.org/kits3/%{version}/dnspython3-%{version}.tar.gz
# Source0-md5:	32178038d8a1b11e818ae4658745133c
URL:		http://www.dnspython.org/
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%pyrequires_eq	python3-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dnspython3 is a DNS toolkit for Python 3. It supports almost all
record types. It can be used for queries, zone transfers, and dynamic
updates. It supports TSIG authenticated messages and EDNS0.

dnspython3 provides both high and low level access to DNS. The high
level classes perform queries for data of a given name, type, and
class, and return an answer set. The low level classes allow direct
manipulation of DNS zones, messages, names, and records.

%description -l pl.UTF-8
dnspython3 to zestaw narzędzi do DNS dla Pythona 3. Obsługuje prawie
wszystkie rodzaje rekordów. Może być używany do zapytań, transferów
stref oraz dynamicznych uaktualnień. Obsługuje uwierzytelnione
komunikaty TSIG oraz EDNS0.

dnspython3 dostarcza zarówno wysoko- jak i niskopoziomowy dostęp do
DNS-a. Klasy wysokopoziomowe wykonują zapytania o dane dla podanej
nazwy, rodzaju i klasy, a zwracają zbiór odpowiedzi. Klasy
niskopoziomowe umożliwiają bezpośrednie manipulacje na strefach,
komunikatach, nazwach i rekordach w DNS-ie.

%prep
%setup -q -n dnspython3-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py3_install

cp -rp examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README
%{py3_sitescriptdir}/dns
%{py3_sitescriptdir}/dnspython3-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-dns.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e99858
- python 3.6
- release 2 (by relup.sh)

* Wed Mar 23 2016 Jakub Bogusz <qboosh@pld-linux.org> f7662c7
- updated to 1.12.0

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 458eca7
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> aa641b9
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> fd1f6ce
- automatic change: use py_build/py_install macros

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c6abeb6
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d412d6d
- python 3.4
- release 2 (by relup.sh)

* Wed Feb 26 2014 Jan Rękorajski <baggins@pld-linux.org> 6eab8e8
- up to 1.11.1

* Mon Nov 19 2012 Jan Rękorajski <baggins@pld-linux.org> 28f78ba
- updated to 1.10.0

* Sun Jul 03 2011 Jakub Bogusz <qboosh@pld-linux.org> d115e29
- updated desc and BRs wrt. python 3

* Sat Jul 02 2011 Jacek Konieczny <jajcus@pld-linux.org> 4b8c3ad
- new spec

